﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace QwirkleClassLibrary
{
    public class Player
    {
        private string nameTag;
        private List<Tile> playerTiles;
        
        public Player(string name)
        {
            nameTag = name;
            Tiles = new List<Tile>();
        }

        public string GetNameTag
        {
            get { return nameTag; }
            set { nameTag = value; }
        }

        public bool IsPlaying { get; set; } = false;

        public void AddTilePlayer(Tile tile)
        {
            Tiles.Add(tile);
        }
        
        public bool RemoveTilePlayer(Tile tile)
        {
            return Tiles.Remove(tile);
        }

        public List<Tile> Tiles
        {
            get;
        }
    }
}
